> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User Team

> Create user team



## OpenAPI

````yaml post /users/teams
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /users/teams:
    post:
      tags:
        - users
      summary: Create User Team
      description: Create user team
      operationId: create_user_team_users_teams_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserTeamCreateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserTeamResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UserTeamCreateRequest:
      properties:
        name:
          type: string
          title: Name
        members:
          items:
            type: string
          type: array
          title: Members
          description: List of user phone numbers
          default: []
      type: object
      required:
        - name
      title: UserTeamCreateRequest
    UserTeamResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        members:
          anyOf:
            - items:
                $ref: '#/components/schemas/UserTeamMemberResponse'
              type: array
            - type: 'null'
          title: Members
          default: []
      type: object
      required:
        - id
        - name
      title: UserTeamResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserTeamMemberResponse:
      properties:
        id:
          type: string
          title: Id
        phone:
          type: string
          title: Phone
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - phone
        - first_name
        - last_name
        - avatar_url
      title: UserTeamMemberResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````